Bug 468987 - devel-file-in-non-devel-package for MinGW packages
devel-file-in-non-devel-package for MinGW packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 07:41 EDT by Richard W.M. Jones
Modified: 2009-09-09 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 11:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-29 07:41:40 EDT
MinGW packaging guidelines were recently approved for Fedora:

http://fedoraproject.org/wiki/Packaging/MinGW

All mingw32-* packages are designed for Fedora developers to
use.  There aren't any "end user" mingw32 packages.  Thus we
reasoned the split between foo/foo-devel in Fedora doesn't
apply, and the packaging committee agreed when they approved
the guidelines.

Thus files which would normally be found only in foo-devel
packages in native Fedora, can be found in mingw32-* packages.

For example:

mingw32-iconv.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/iconv.h
mingw32-iconv.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libcharset.a
mingw32-iconv.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libcharset.dll.a
(bug 467325)

mingw32-libvirt.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/libvirt.pc
(bug 467418)
Comment 1 Richard W.M. Jones 2008-10-29 08:29:05 EDT
This warning is also seen with *.hpp files (in C++ packages)
and with the 'bin/*-config' scripts used by some programs.
Comment 2 Bug Zapper 2008-11-25 23:25:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Richard W.M. Jones 2009-09-09 11:40:57 EDT
Closing - rpmlint no longer reports this as a problem.

Note You need to log in before you can comment on or make changes to this bug.